<?php
//开启全报错
error_reporting(E_ALL);
//引入文件
include_once __DIR__.'/loadfile.php';
//引入核心钩子类
include_once __DIR__.'/Hook.php';


//注册login钩子，监听\\hook\\plugins\\Login

Hook::add('Login',"\\hook\\plugins\\Login");

//测试一下
$param = [
    'method'=>'before'
];
Hook::listen('login',$param);

$param = [
    'method'=>'after'
];
Hook::listen('login',$param);

//注册一个message钩子，监听一下\\hook\\plugins\\Message类
Hook::add('message',"\\hook\\plugins\\Message1");

//默认监听，没有参数会执行main函数
Hook::listen('message');
//发送个短信吧
$param = [
    'call'=>'sms'
];
Hook::listen('message',$param);

$plugins = array (
    'init' =>
        array (
            0=>'\\hook\\plugins\\Init'
    ),
    'login' =>
        array (
            0 => '\\hook\\plugins\\Login',
        ),
    'message' =>
        array (
            0 => '\\hook\\plugins\\Message',
        ),
);
//批量添加注册
Hook::batch_add($plugins);

Hook::listen('init');